### Method

# Gck Object set_async

#### Declaration [src]

    void
    gck_object_set_async (
      GckObject* self,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Set PKCS#11 attributes on an object. This call will return immediately and completes asynchronously.

If the `attrs` `GckAttributes` is floating, it is consumed.

This method completes asynchronously. Use `gck_object_set_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`attrs`

  Type: `GckAttributes`

  The attributes to set on the object.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellable object, or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback which is called when operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.